package it.polito.elite.visualization.ontoviewer.behaviors;

import javax.media.j3d.Alpha;
import javax.media.j3d.ScaleInterpolator;
import javax.media.j3d.TransformGroup;

public class ScaleInterpolatorWithListener extends ScaleInterpolator{

	private InterpolatorListener myListener;
	
	public ScaleInterpolatorWithListener(Alpha arg0, TransformGroup arg1, 
			InterpolatorListener arg3) {
		super(arg0, arg1);
		myListener=arg3;
	}	
	
	  // override the processStimulus function...
	  public void processStimulus(java.util.Enumeration criteria)
	  {
	    super.processStimulus(criteria);
	   if(  (myListener!=null) && (super.getAlpha()).finished())
	    {
		  this.setEnable(false);
	      myListener.InterpolatorCompleted();
	    }
	  }
}
