package it.polito.elite.visualization.ontoviewer.behaviors;

import javax.media.j3d.Alpha;
import javax.media.j3d.TransparencyAttributes;
import javax.media.j3d.TransparencyInterpolator;

public class TransparencyInterpolatorWithListener extends TransparencyInterpolator{
	
	private InterpolatorListener myListener;
	
	public TransparencyInterpolatorWithListener(Alpha arg0, TransparencyAttributes arg1, 
			float arg2, float arg3, InterpolatorListener arg4) {
		super(arg0, arg1, arg2, arg3);
		myListener=arg4;
	}
	
	public TransparencyInterpolatorWithListener(Alpha arg0, TransparencyAttributes arg1, 
			InterpolatorListener arg3) {
		super(arg0, arg1);
		myListener=arg3;
	}	

	  // override the processStimulus function...
	  public void processStimulus(java.util.Enumeration criteria)
	  {
	    super.processStimulus(criteria);
	   if(  (myListener!=null) && (super.getAlpha()).finished() )
	    {
		  this.setEnable(false);
	      myListener.InterpolatorCompleted();
	    }
	  }

}
