package it.polito.elite.visualization.ontoviewer.models;

/*
 * Utility Class used to order a set of Uris by their children number 
 */
public class OrderedURIsElm implements Comparable<OrderedURIsElm>{
	private String uri;
	private int numberOfChildren;

	public OrderedURIsElm(String uri, int numbreOfChildren) {
		this.uri = uri;
		this.numberOfChildren = numbreOfChildren;
	}
	
	/*
	 * Compares two elm by the number of their sons
	 */
	public int compareTo(OrderedURIsElm elm){
		return this.numberOfChildren-elm.numberOfChildren;
	}

	/**
	 * @return Returns the numbreOfChildren.
	 */
	public int getNumberOfChildren() {
		return numberOfChildren;
	}

	/**
	 * @return Returns the uri.
	 */
	public String getUri() {
		return uri;
	}
	

}
